Blog  |   Contact  |   About  |   Technical Service  |  
PayPal Acceptance Mark

Super VAG K+CAN Update Problem

Super VAG K+CAN Update Problem

Dear all valued customers:

The item Super VAG K+CAN (before version v4.8) now has a problem on the v4.8 update.

So if you will buy this item or you already bought this item, please DON'T go to update it to v4.8, the newest version still v4.6.
V4.6 version has no any problem, very stable to use.

For further problem, please contact us at sales@VVDIShop.com.